summaryrefslogtreecommitdiffstats
path: root/qa/workunits/fs/snaps/snaptest-git-ceph.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xqa/workunits/fs/snaps/snaptest-git-ceph.sh52
1 files changed, 52 insertions, 0 deletions
diff --git a/qa/workunits/fs/snaps/snaptest-git-ceph.sh b/qa/workunits/fs/snaps/snaptest-git-ceph.sh
new file mode 100755
index 000000000..12c1f0fdc
--- /dev/null
+++ b/qa/workunits/fs/snaps/snaptest-git-ceph.sh
@@ -0,0 +1,52 @@
+#!/bin/sh -x
+
+set -e
+
+# try it again if the clone is slow and the second time
+retried=false
+trap -- 'retry' EXIT
+retry() {
+ rm -rf ceph
+ # double the timeout value
+ timeout 3600 git clone https://git.ceph.com/ceph.git
+}
+rm -rf ceph
+timeout 1800 git clone https://git.ceph.com/ceph.git
+trap - EXIT
+cd ceph
+
+versions=`seq 1 90`
+
+for v in $versions
+do
+ if [ $v -eq 48 ]; then
+ continue
+ fi
+ ver="v0.$v"
+ echo $ver
+ git reset --hard $ver
+ mkdir .snap/$ver
+done
+
+for v in $versions
+do
+ if [ $v -eq 48 ]; then
+ continue
+ fi
+ ver="v0.$v"
+ echo checking $ver
+ cd .snap/$ver
+ git diff --exit-code
+ cd ../..
+done
+
+for v in $versions
+do
+ if [ $v -eq 48 ]; then
+ continue
+ fi
+ ver="v0.$v"
+ rmdir .snap/$ver
+done
+
+echo OK